package com.webchat.admin.controller;


import com.webchat.admin.service.OfficialArticleService;
import com.webchat.common.bean.APIResponseBean;
import com.webchat.common.bean.APIResponseBeanUtil;
import com.webchat.common.helper.SessionHelper;
import com.webchat.domain.vo.request.publicaccount.SaveArticleRequestVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/admin-service/official/article")
public class OfficialArticleController {

    @Autowired
    private OfficialArticleService officialArticleService;

    /**
     * 提交文章
     *
     * @return
     */
    @PostMapping("/submit")
    public APIResponseBean<Long> submit(@RequestBody SaveArticleRequestVO saveArticleRequest) {
        // TODO 参数校验
        String userId = SessionHelper.getCurrentUserId();
        saveArticleRequest.setAuthor(userId);
        return APIResponseBeanUtil.success(officialArticleService.submit(saveArticleRequest));
    }

}
