package com.webchat.rmi.pgc;

import com.webchat.common.bean.APIResponseBean;
import com.webchat.domain.vo.request.publicaccount.SaveArticleRequestVO;
import com.webchat.domain.vo.response.publicaccount.ArticleBaseResponseVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name = "webchat-pgc-service")
public interface OfficialArticleClient {

    /**
     * 公众号推文
     *
     * @param saveArticleRequest
     * @return
     */
    @PostMapping("/pgc-service/official/article/submit")
    APIResponseBean<Long> submit(@RequestBody SaveArticleRequestVO saveArticleRequest);

    /**
     * 获取公众号文章详情
     *
     * @param id
     * @return
     */
    @GetMapping("/pgc-service/official/article/detail/{id}")
    APIResponseBean<ArticleBaseResponseVO> detail(@PathVariable Long id,
                                                  @RequestParam(name = "isNeedContent", required = false,
                                                          defaultValue = "false") Boolean isNeedContent);
}
